# UK Broadband

A set of UK Broadband availability checkers.


## Supported ISPs

UK Broadband Checker currently supports the following providers.

 - `cityfibre` - CityFibre
 - `gigaclear` - Gigaclear
 - `jurassic-fibre` - Jurassic Fibre
 - `ofnl` - OFNL
 - `openreach` - Openreach
 - `truespeed` - Truespeed
 - `virgin-media` - Virgin Media
 - `community-fibre` - Community Fibre
 - `trooli` - Trooli
 - `zzoomm` - Zzoomm


## Usage

`UKBroadbandChecker` will return a broadband checker based on the first
argument provided to it (such as "openreach").

Once you have a checker, you can `query_address()` with a property number and
postcode.

Additional arguments:
 - `strictAddress` - If an "exact" match for the property can not be found, try
   and use another one in the same postcode. `addressData.looseMatch` will be
   true if this happens.

The query can be read through the `data` property.

Example:
```python
from ukbroadband import UKBroadbandChecker
import json

checker = UKBroadbandChecker("openreach")
query = checker.query_address("10", "SW1A 2AA", strictAddress=False)

print(json.dumps(query.data, indent=4, sort_keys=True))
```

Each query will also have the following properties:
 - `fttp` - Boolean, is this property servicable with FTTP?
