import setuptools

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setuptools.setup(
    name="ukbroadband-msh100",
    version="0.0.23",
    author="Marcus Hughes",
    author_email="hello@msh100.uk",
    description="Availability checkers for UK broadband providers",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/msh100/ukbroadband",
    project_urls={
        "Bug Tracker": "https://github.com/msh100/ukbroadband/issues",
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    package_dir={"": "src"},
    packages=setuptools.find_packages(where="src"),
    python_requires=">=3.6",
    install_requires=[
        'beautifulsoup4>=4.10.0',
        'pycryptodome>=3.10.4',
        'requests>=2.26.0',
    ],
)
